Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(115)

Issue 2452853002: [inspector] use own version of third_party/inspector_protocol (Closed)

Created:
2 years, 9 months ago by kozy
Modified:
2 years, 9 months ago
CC:
abarth-chromium, apavlov+blink_chromium.org, blink-reviews, caseq+blink_chromium.org, chromium-reviews, devtools-reviews_chromium.org, kozyatinskiy+blink_chromium.org, lushnikov+blink_chromium.org, pfeldman+blink_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[inspector] use own version of third_party/inspector_protocol When Chromium and V8 use the same version of inspector_protocol, any protocol change takes at least 4 patches and 3 waiting for rolls. To simplify this process we need to have two diffrent versions of inspector_protocol in Chromium and V8. Current state of inspector_protocol was extracted into separate repository [1]. This CL puts last version of inspector_protocol into third_party/inspector_protocol. [1] https://chromium.googlesource.com/deps/inspector_protocol/ V8 CL: https://codereview.chromium.org/2447323002/ BUG=chromium:637032 R=dgozman@chromium.org Committed: https://crrev.com/c8c595193c5d06bb4870c975231aae1f943246f0 Cr-Commit-Position: refs/heads/master@{#428605}

Patch Set 1 #

Patch Set 2 : removed not needed file from inspector_protocol #

Total comments: 1

Patch Set 3 : addressed comments #

Patch Set 4 : supported new inspector_protocol location in components/ui_devtools/BUILD.gn #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -4167 lines) Patch
M .gitignore View 1 chunk +1 line, -0 lines 0 comments Download
M components/ui_devtools/BUILD.gn View 1 2 3 2 chunks +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/inspector/BUILD.gn View 1 2 3 4 chunks +6 lines, -4 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/CheckProtocolCompatibility.py View 1 chunk +0 lines, -479 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/CodeGenerator.py View 1 chunk +0 lines, -499 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/ConcatenateProtocols.py View 1 chunk +0 lines, -39 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/OWNERS View 1 chunk +0 lines, -5 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/inspector_protocol.gni View 1 chunk +0 lines, -82 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/inspector_protocol.gypi View 1 chunk +0 lines, -36 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/Allocator_h.template View 1 chunk +0 lines, -30 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/Array_h.template View 1 chunk +0 lines, -136 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/BackendCallback_h.template View 1 chunk +0 lines, -24 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/Collections_h.template View 1 chunk +0 lines, -43 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/DispatcherBase_cpp.template View 1 chunk +0 lines, -173 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/DispatcherBase_h.template View 1 chunk +0 lines, -97 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/ErrorSupport_cpp.template View 1 chunk +0 lines, -70 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/ErrorSupport_h.template View 1 chunk +0 lines, -37 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/Forward_h.template View 1 chunk +0 lines, -37 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/FrontendChannel_h.template View 1 chunk +0 lines, -24 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/Maybe_h.template View 1 chunk +0 lines, -80 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/Object_cpp.template View 1 chunk +0 lines, -37 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/Object_h.template View 1 chunk +0 lines, -32 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/Parser_cpp.template View 1 chunk +0 lines, -553 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/Parser_h.template View 1 chunk +0 lines, -22 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/Protocol_cpp.template View 1 chunk +0 lines, -12 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/ValueConversions_h.template View 1 chunk +0 lines, -171 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/Values_cpp.template View 1 chunk +0 lines, -407 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/lib/Values_h.template View 1 chunk +0 lines, -246 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/sample_config.json View 1 chunk +0 lines, -39 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/sample_expected_errors.json View 1 chunk +0 lines, -7 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/templates/Exported_h.template View 1 chunk +0 lines, -65 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/templates/Imported_h.template View 1 chunk +0 lines, -51 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/templates/TypeBuilder_cpp.template View 1 chunk +0 lines, -359 lines 0 comments Download
D third_party/WebKit/Source/platform/inspector_protocol/templates/TypeBuilder_h.template View 1 chunk +0 lines, -290 lines 0 comments Download
A + third_party/inspector_protocol/CheckProtocolCompatibility.py View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/CodeGenerator.py View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/ConcatenateProtocols.py View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/LICENSE View 1 chunk +1 line, -1 line 0 comments Download
A + third_party/inspector_protocol/OWNERS View 1 chunk +1 line, -0 lines 0 comments Download
A third_party/inspector_protocol/README.chromium View 1 2 1 chunk +16 lines, -0 lines 0 comments Download
A + third_party/inspector_protocol/inspector_protocol.gni View 1 chunk +2 lines, -3 lines 0 comments Download
A + third_party/inspector_protocol/inspector_protocol.gypi View 1 chunk +0 lines, -2 lines 0 comments Download
A + third_party/inspector_protocol/lib/Allocator_h.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/Array_h.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/BackendCallback_h.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/Collections_h.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/DispatcherBase_cpp.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/DispatcherBase_h.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/ErrorSupport_cpp.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/ErrorSupport_h.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/Forward_h.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/FrontendChannel_h.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/Maybe_h.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/Object_cpp.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/Object_h.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/Parser_cpp.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/Parser_h.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/Protocol_cpp.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/ValueConversions_h.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/Values_cpp.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/lib/Values_h.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/templates/Exported_h.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/templates/Imported_h.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/templates/TypeBuilder_cpp.template View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/inspector_protocol/templates/TypeBuilder_h.template View 0 chunks +-1 lines, --1 lines 0 comments Download

Messages

Total messages: 18 (7 generated)
kozy
Dmitry, please take a look!
2 years, 9 months ago (2016-10-26 01:12:02 UTC) #1
kozy
Dmitry, please take another look. It's ready for review.
2 years, 9 months ago (2016-10-26 21:25:11 UTC) #2
dgozman
lgtm https://codereview.chromium.org/2452853002/diff/20001/third_party/inspector_protocol/README.chromium File third_party/inspector_protocol/README.chromium (right): https://codereview.chromium.org/2452853002/diff/20001/third_party/inspector_protocol/README.chromium#newcode11 third_party/inspector_protocol/README.chromium:11: third_party/WebKit/core/inspector uses these scripts to generate handlers WebKit/Source/core
2 years, 9 months ago (2016-10-26 21:53:34 UTC) #3
kozy
all done, thanks!
2 years, 9 months ago (2016-10-26 21:58:55 UTC) #4
kozy
Jochen, please take a look, I need owner lgtm for adding new third_party.
2 years, 9 months ago (2016-10-26 22:03:09 UTC) #6
jochen (gone - plz use gerrit)
(this is just moving code from one third_party location to another) lgtm
2 years, 9 months ago (2016-10-27 07:42:37 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2452853002/40001
2 years, 9 months ago (2016-10-27 16:33:19 UTC) #10
commit-bot: I haz the power
Try jobs failed on following builders: android_cronet on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_cronet/builds/25724) android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, ...
2 years, 9 months ago (2016-10-27 16:37:46 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2452853002/60001
2 years, 9 months ago (2016-10-29 02:05:48 UTC) #15
commit-bot: I haz the power
Committed patchset #4 (id:60001)
2 years, 9 months ago (2016-10-29 06:04:17 UTC) #16
commit-bot: I haz the power
2 years, 9 months ago (2016-10-29 06:05:50 UTC) #18
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/c8c595193c5d06bb4870c975231aae1f943246f0
Cr-Commit-Position: refs/heads/master@{#428605}

Powered by Google App Engine
This is Rietveld 408576698